Checks if current position is valid

- « APCUIterator::rewind

- Componere »

- PHP Manual
- APCUIterator
- Checks if current position is valid

# APCUIterator::valid

(PECL apcu >= 5.0.0)

APCUIterator::valid — Checks if current position is valid

### Description

public APCUIterator::valid(): bool

Checks if the current iterator position is valid.

### Parameters

This function has no parameters.

### Return Values

Returns `true` if the current iterator position is valid, otherwise `false`.

### See Also

- APCUIterator::current() - Get current item
- Iterator::valid() - Checks if current position is valid